clang 10.0.0git

Classes | Namespaces | Enumerations | Functions
BackendUtil.h File Reference
`#include "clang/Basic/LLVM.h"`
`#include "llvm/IR/ModuleSummaryIndex.h"`
`#include <memory>`
Include dependency graph for BackendUtil.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | llvm::Expected< T >

## Namespaces
| llvm
| Specialize PointerLikeTypeTraits to allow LazyGenerationalUpdatePtr to be placed into a PointerUnion.
| clang
| Dataflow Directional Tag Classes.

## Enumerations
enum | clang::BackendAction { clang::Backend_EmitAssembly, clang::Backend_EmitBC, clang::Backend_EmitLL, clang::Backend_EmitNothing, clang::Backend_EmitMCNull, clang::Backend_EmitObj }

## Functions
void | clang::EmitBackendOutput (DiagnosticsEngine &Diags, const HeaderSearchOptions &, const CodeGenOptions &CGOpts, const TargetOptions &TOpts, const LangOptions &LOpts, const llvm::DataLayout &TDesc, llvm::Module *M, BackendAction Action, std::unique_ptr< raw_pwrite_stream > OS)
void | clang::EmbedBitcode (llvm::Module *M, const CodeGenOptions &CGOpts, llvm::MemoryBufferRef Buf)
llvm::Expected< llvm::BitcodeModule > | clang::FindThinLTOModule (llvm::MemoryBufferRef MBRef)
llvm::BitcodeModule * | clang::FindThinLTOModule (llvm::MutableArrayRef< llvm::BitcodeModule > BMs)